No puedo actualizar de 11.04 a 12.04 LTS

Imagen de jefmetal
0 puntos

Hola.

Pues resulta que me dormi un poco (sí, bastante) al realizar las actualizaciones y ahora no puedo actualizar de distribucion.

Buscando por internet encontre que desde el cd alternate de la distro 12.04 se podía, pero no lo he conseguido (al menos con la 12.04.2 que es la que está en el repositorio oficial, con la 12.04 a secas no he probado porque no he encontrado una imagen del cd). El caso es que al meter el cd y pinchar en "Iniciar Actualización" me sale un error indicando que actualizar desde maverik (10.10) a precise (12.04) no está soportado con esa herramienta.

Notaréis que he puesto en el asunto desde la 11.04. Esto es porque actualice la 10.10 a la 11.04 sin problemas en su dia. Sin embargo si miro en "Acerca de Ubunto" aparece la 11.04 y desde el monitor de sistemas o desde terminal (lsb_release -a) me dice que tengo la 10.10. No me había fijado en esto hasta ahora.

Mi objetivo es poner la 12.04, y no querria hacerlo desde cero ya que tengo configuraciones que no me gustaría perder si es posible.

¿Podéis ayudarme?

Salu2

Imagen de Gabriel_M
+1
+1
-1

Simplemente edita el archivo /etc/apt/sources.list

sudo su
nano /etc/apt/sources.list

Cambia en el listado el nombre de la distribución en uso por aquella a la que quieres actualizar.
Guarda el archivo (Control + O) cierra nano (Control + X) y ejecuta en la misma terminal

apt-get clean
apt-get autoremove
apt-get update 
apt-get dist-upgrade
dpkg --configure -a
apt-get install -f
apt-get clean
reboot

Y tendrías que iniciar actualizado.

+1
+1
-1
Imagen de jefmetal
+1
0
-1

Ante todo gracias por tu ayuda.

He seguido los pasos que me indicas, he sustituido en sources.list "maverick" y "hardy" por "precise". Al ejecutar apt-get update, obtengo algunos errores de varios repositorios ajenos a ubuntu (medibuntu principalmente), pero de momento he continuado ya que me interesa que la distro se actualice, aunque luego me tenga que pegar con alguna otra cosa.
Sin embargo al hacer apt-get distro-upgrade, descarga un giga y pico de paquetes, pero al instalarlos encuentro este error:

Descargados 1180MB en 15min. 33seg. (1264kB/s)
E: No se puede efectuar la configuración inmediata en «python-minimal». Consulte man 5 apt.conf bajo APT::Immediate-Configure para más detalles. (2)

Aun así continuo ejecutando el resto de comandos (el dpkg parece que no funciona bien ya que no hace nada pero tampoco da ningún error):

root@pc-1:~# dpkg --configure -a
root@pc-1:~# apt-get install -f
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo la información de estado... Hecho
0 actualizados, 0 se instalarán, 0 para eliminar y 1510 no actualizados.

Tras reiniciar sigo con la misma versión. ¿He hecho algo mal?

Salu2

+1
0
-1
Imagen de Jose Luis 1320
+1
+1
-1

es el de remover repositorios externos como los PPA y el repositorio de Medibuntu...

Gabriel nunca sabría que tendrías repositorios ajenos. los PPA y los paquetes que hayan instalado los remueves con PPA purge.

y los paquetes de Medibuntu, esos los debes de remover uno por uno.

+1
+1
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de jefmetal
+1
0
-1

Comencé a hacer lo que me dijo Jose Luis, pero encontré tal cantidad de repositorios y paquetes que al final me resultó menos costoso hacer copia de todas las configuraciones y poner la versión 12.04 desde cero.

Creo que era lo mejor, ya que tenía el sistema muy "guarreado". Me instalaré algun sistema de virtualización y a partir de ahora "guarrearé" en máquinas virtuales siempre que me sea posible, y tendré cuidado con los repositorios ajenos a canonical, para poder actualizar limpiamente en la próxima LTS (a partir de ahora sólo me moveré en estas). Por otro lado estoy seguro de que las indicaciones de Gabriel le pueden ser de gran ayuda a otros que también se hayan "dormido" a la hora de actualizar y hayan cuidado más que yo su Ubuntu.

Aunque no es la mejor manera, metiendo la pata también se aprende...

Muchas gracias por vuestros comentarios y ayuda.

Salu2!!!

+1
0
-1